<script type="text/javascript">
$(document).ready(function() {
    /* Build the DataTable with third column using our custom sort functions */
	$('select').select2();
	jQuery('.datepicker2').datepicker({
			dateFormat : 'dd-mm-yy',
			changeMonth : true,
			changeYear : true
			});
   var oTable = $("#test").dataTable( {
        "iDisplayLength": 10,
		 "aLengthMenu": [5,10,25,50,100],
		 "sPaginationType": "full_numbers", "aoColumns": [ { 
		 	"bSortable": false }, 
			null, 
			null, 
			null, 
			null, 
			null,
			{"bSortable": false },
			{"bSortable": false } ]});
          oTable.fnSort( [ [1,'asc'] ] );
    $("table.editable").on("click",".edit",function(){
        rRow = $(this).parents("tr");
        ID = $('td:first', $(this).parents('tr')).text(); 
        $("#row_edit").dialog("open");
    });
    $("#row_edit").dialog({
        autoOpen: false,
        resizable: false,        
        modal: true,
        buttons: {
            "Continue...": function() {
				window.location.href = "<?php echo base_url(); ?>sotransaction/SalesDO/" + ID;		
                $(this).dialog("close");
            },
            Cancel: function() {
                $(this).dialog("close");
            }
        }
    });

    $("table.editable").on("click",".remove",function(){
        rRow = $(this).parents("tr");
        ID = $('td:first', $(this).parents('tr')).text(); 
        $("#row_delete").dialog("open");
    });

    $("#row_delete").dialog({
        autoOpen: false,
        resizable: false,        
        modal: true,
        buttons: {
            "Delete": function() {
                //remove_row(rRow);
                removeThis(rRow);
                $(this).dialog("close");
            },
            Cancel: function() {
                $(this).dialog("close");
            }
        }
    }); 
	 

    $("table .checkall1").live("click", "checkall1",function(){           
		$(oTable.fnGetNodes()).find(':checkbox').prop('checked', this.checked);
	});
}); 
 

function changeList(obj){
	var addyear = $('#add_year option:selected').val();
	var addper = $('#add_period option:selected').val();
	var urls = "<?php echo base_url();?>sotransaction/salesDOPost/"+addyear+"/"+addper;
		window.location = urls;
} 
function selectYearPeriod(obj){
		var year = obj.value;
//		alert(year);
			
			$.ajax({
  				type: "POST",
	  			dataType: "json",
				url: "<?php echo base_url()?>glreports/get_TrialBalance_year/"+year,
				data: year,
	  			async: false,
  				success: function(content){
					if(content.status == "success") {
					var items = [];
					//items.push('<option>-Please Select-</option>');
					for ( var i = 0; i < content.message.length; i++) {
						items.push('<option value="'+content.message[i].period +'">'
						+ content.message[i].financialPeriod + '</option>');
					}  //end for
					jQuery("#add_period").empty();
					jQuery("#add_period").append(items.join('</br>'));
					//jQuery("#add_period").val(null);
					$("#add_period").select2();
				} else {
					jQuery("#add_period").empty();
					$("#error").html('<p>'+content.message+'</p>');
					$("#add_period").select2('val',null);
				} //end if
			} //end success
				
			}); //end ajax
	//window.location.reload(true); 
}

function postDO(me){
$(me).attr("disabled","disabled");
   var oTable = $("#test").dataTable( );
	$(oTable.fnGetNodes()).find(':checkbox').each(function () {
        if($(this).is(':checked')){
			var fldid = $('td:first', $(this).parents('tr')).text(); 
			var effdate = $('td:eq(4)', $(this).parents('tr')).text(); 
			var postData = {
				'fldid' : fldid,
				'effdate' : effdate,
			};
			
//			alert(effdate);
 			$.ajax({
  				type: "POST",
	  			dataType: "json",
				url: "<?php echo base_url()?>sotransaction/doPosting",
				data: postData ,
	  			async: false,
  				success: function(content){
					if (content.status == 'success') {
						window.location.reload(true);
					} else {
						alert('Posting Fail');
					}
				}
			}); 
		}
	});
	window.location.reload(true);
}
function removeThis(me){
	var ID = $(me).find('td:nth-child(1)').html();
	$.ajax({
		type: "POST",
		dataType: "HTML",
		url: "<?php echo base_url()?>sotransaction/removeSalesDelivery",
		data: "ID="+ID,
		async: false,
		success: function(data){
			if(data == 'true'){
                alertbox('Transaction canceled successfully',1);
                $(me).remove();
            }		
		} //end success				
	}); //end ajax
}
</script>

<div id="content">                        
<div class="wrap">
<div class="head">
	<div class="info">
						<!--<h1><?php echo element('compName', $this->session->userdata('logged_in')) ?> [ 
							<?php echo element('compNo', $this->session->userdata('logged_in')) ?> ]</h1>-->
			<ul class="breadcrumb">
            	<li><a href="#"><?php echo $this->lang->line('dashboard') ?></a> <span class="divider">-</span></li>
                <li><a href="#"><?php echo $this->lang->line('module') ?></a> <span class="divider">-</span></li>
                <li class="active"><?php echo $this->lang->line('title3') ?></li>
            </ul>
	</div>
	<div class="search">
		<form action="<?php echo base_url() ?>admin/search" method="post">
			<input name="search_text" type="text" placeholder="search..."/>                                
            <button type="submit"><span class="i-magnifier"></span></button>
		</form>
	</div>                        
</div><!-- head --> 
<div class="content">
<div class="wrap">                    
	<div class="row-fluid">
		<div class="span12">
        	<div class="block">
            	<div class="head">
                    	<h2><?php echo $this->lang->line('title3') ?></h2>
                    </div><!-- head -->
				<div class="content np">    
                	<div class="controls-row"><!-- Row 4-->
                	<div class="controls-row"><!-- Row 4-->
						<div class="span5 tac">
                    	<div class="span2 tar"><?php echo form_label($this->lang->line('year'),'add_year');?></div>
						<?php
							$preselyear = $selyear;
							$options = '';
							$options[] = $this->lang->line('selectyear');
							if(isset($yrs) && !empty($yrs)){	
								foreach($yrs as $row){
									$options[$row] = $row;
								}
							}
							$js='onchange="selectYearPeriod(this)" class="input-medium" id="add_year"';

							echo form_dropdown('add_year', $options, $preselyear, $js);
						?>       
                        </div>
						<div class="span5 tac">
                    	<div class="span2 tar"><?php echo form_label($this->lang->line('period'),'add_period');?></div>
						<?php
							$preselperiod = $selper;
							$options = '';
							$options[] = $this->lang->line('period');
							if($period){
								foreach($period as $row){
									$options[$row->period] = $row->financialPeriod;
								}
							}
							$js='class="input-medium" id="add_period" style="width:75%"';

							echo form_dropdown('add_period', $options, $preselperiod, $js);
						?>       
                        </div>
						<div class="span2 tac">
                        <?php 
							$data = array(
									'name'=>'mysubmit', 
									'class'=>'btn-form btn-success-form');
									$js="onClick='changeList()'";
							echo form_button($data,$this->lang->line('submit'),$js);
							?>
                        </div>
                 	</div><!-- End Row 4-->
                 	</div><!-- End Row 4-->
				</div><!-- content -->
            	<div class="head">
                	<h2><?php echo $this->lang->line('titlelist');?></h2>
                    	<div class="side fr">
                    	  <a href="<?php echo base_url()?>sotransaction/SalesDO" class="btn-icon btn-warning-form" title="Add New"><span class="i-plus-2"></span></a>
                        </div>                                       
                </div>
            	<div class="content np table-sorting">
            	<table cellpadding="0" cellspacing="0" width="100%" id="test" class="editable">
                	<thead>
                    <tr>
            			<th style="display:none"></th>
            			<th class="tac">#</th>
                        <th><?php echo $this->lang->line('formNo');?></th>
						<th><?php echo $this->lang->line('customerName');?></th>
            			<th><?php echo $this->lang->line('deliveryOrderDate');?></th>
                        <th><?php echo $this->lang->line('totalAmount');?></th>
                		<th class="tac"><input type="checkbox" id="checkall1" class="checkall1"/></th>
                        <th class="tac"><?php echo $this->lang->line('action');?></th>
            		</tr>
        			</thead>
       				 <tbody>
			<?php $bil = 0;
				if($datatbls){
				foreach($datatbls as $datatbl):
				$bil++?>
            	<tr>
                	<td style="display:none" ><?php echo $datatbl->ID; ?></td>	
                	<td><?php echo $bil; ?></td>
                   <td><a title="<?php echo $this->lang->line('edit');?>" class="btn btn-mini btn-link edit"><?php echo $datatbl->formNo; ?></a></td>
                	<td><?php echo $datatbl->customerName?></td>
                    <td class="tac"><?php echo date("d-m-Y", strtotime($datatbl->deliveryOrderDate)); ?></td>
                    <td class="tac"><?php echo number_format($datatbl->totalAmount,2) ?></td>
                   <!-- <td class="tac"><?php echo number_format($datatbl->totalReceivable,2) ?></td> hide by issa on request -->
					<td class="tac"><input type="checkbox" class="checkbox" id="checkbox"/></td>
					<td class="tac">
						<?php //onClick="removeThis(this)" 
							$js = 'class="btn-icon btn-mini btn-danger-form remove"  title="'.$this->lang->line('delete').'"';
						echo form_button('remove','<span class="i-trashcan">',$js); ?>
					</td>
               </tr>
            <?php endforeach; }?>
                     </tbody>
                     </table>
				</div><!-- content -->
            <div class="footer">
            	<div class="side fr">
                	<div class="btn-group">
                        <?php 
							$data = array(
									'name'=>'postdolist', 
									'class'=>'btn-form btn-warning-form');
							$js='onclick="postDO(this)"';
							echo form_submit($data,$this->lang->line('postdolist'),$js);
							?>
                    </div>
                </div>
            </div>                                    
				</div><!-- block -->
			</div><!-- span12 -->
		</div><!-- row-fluid -->	
	</div><!-- wrap -->
</div><!-- content -->
	</div><!-- wrap -->
</div><!-- content -->
<div class="dialog" id="row_delete" style="display: none;" title="Are you sure to Delete?">
    <p><?php echo $this->lang->line('message1') ?></p>
</div>
<div class="dialog" id="row_edit" style="display: none;" title="<?php echo $this->lang->line('editconfirm');?> ?">
    <p><?php echo $this->lang->line('message10');?></p>
</div>  


